Bug 2126857 (CVE-2021-36568) - CVE-2021-36568 www-apps/moodle: XSS via crafted topic fields
Summary: CVE-2021-36568 www-apps/moodle: XSS via crafted topic fields
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2021-36568
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2126858
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-14 15:00 UTC by ybuenos
Modified: 2022-11-30 00:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-27 04:27:42 UTC


Attachments (Terms of Use)

Description ybuenos 2022-09-14 15:00:48 UTC
In certain Moodle products after creating a course, it is possible to add in a arbitrary "Topic" a resource, in this case a "Database" with the type "Text" where its values "Field name" and "Field description" are vulnerable to Cross Site Scripting Stored(XSS). This affects Moodle 3.11 and Moodle 3.10.4 and Moodle 3.9.7.

https://blog.hackingforce.com.br/en/cve-2021-36568/
https://drive.google.com/drive/folders/1_fO4BKpmD3avGYHSzvIXWs5owqVYgB1s?usp=sharing

Comment 1 ybuenos 2022-09-14 15:01:05 UTC
Created moodle tracking bugs for this issue:

Affects: fedora-all [bug 2126858]

Comment 2 Product Security DevOps Team 2022-11-27 04:27:41 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 3 John Helmert III 2022-11-30 00:49:11 UTC
(In reply to Product Security DevOps Team from comment #2)
> This CVE Bugzilla entry is for community support informational purposes only
> as it does not affect a package in a commercially supported Red Hat product.
> Refer to the dependent bugs for status of those individual community
> products.

How did you come to this conclusion? I don't think any fix exists, and Moodle is indeed packaged by Red Hat products.


Note You need to log in before you can comment on or make changes to this bug.